/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor;


/**
 * @author p.ciardelli
 * @created 20.05.2008
 * @version 1.0
 */
public class ITaxEditorConstants {
	
	/* ***************************************************************************************
			ICONS
	************************************************************************************** */
	public static final String EDIT_ICON = "edit_icon";
	public static final String WARNING_ICON = "warning_icon";
	public static final String BLACK_SQUARE_ICON = "black_square_icon";
	public static final String HOMOTYPIC_SYN_ICON = "homotypic_syn_icon";
	public static final String HOMOTYPIC_SYN_ORIGINAL_ICON = "homotypic_syn_original_icon";
	public static final String HETEROTYPIC_SYN_ICON = "heterotypic_syn_icon";
	public static final String HETEROTYPIC_SYN_ORIGINAL_ICON = "heterotypic_syn_original_icon";
	public static final String MISAPPLIED_NAME_ICON = "misapplied_icon";
	public static final String AUTONYM_ICON = "autonym_icon";
	public static final String BASIONYM_ICON = "basionym_icon";
	public static final String ORTHOGRAPHIC_VARIANT_ICON = "orthographic_variants_icon";
	public static final String DB_ICON = "db_icon";
	public static final String MOVE_ICON = "move_icon";
	public static final String ACTIVE_DELETE_ICON = "active_delete_icon";
	public static final String SYNONYM_TO_TAXON_ICON = "synoynm_to_taxon_icon";
	public static final String OPEN_TAXON_ICON = "open_taxon_icon";
	public static final String ADD_CHILD_TAXON_ICON = "add_taxon_icon";
	public static final String SWAP_SYNONYM_AND_TAXON_ICON = "swap_syn_and_tax_icon";
	public static final String QUICK_ADD_ICON = "quick_add_icon";
	public static final String TAXON_TO_SYNONYM_ICON = "tax_to_syn_icon";

	/* ***************************************************************************************
			PREFERENCES
	 ************************************************************************************** */
	public static final String CODE_PREFERENCE = "code";
//	public static final NomenclaturalCode CODE_PREFERENCE_ICBN = NomenclaturalCode.ICBN();
//	public static final NomenclaturalCode CODE_PREFERENCE_ICZN = NomenclaturalCode.ICZN();
//	public static final NomenclaturalCode DEFAULT_CODE_PREFERENCE = CODE_PREFERENCE_ICZN;
	public static final String CODE_PREFERENCE_ICBN = "ICBN";
	public static final String CODE_PREFERENCE_ICZN = "ICZN";
	public static final String DEFAULT_CODE_PREFERENCE = CODE_PREFERENCE_ICBN;
	public static final String INITIALIZED = "initialized";
	public static final String INITIALIZE_W_TESTDATA = "init_w_testdata";

	/* ***************************************************************************************
			STRINGS
	 ************************************************************************************** */
	public static final String MISAPPLIED_NAME = "misappliedname";
	public static final String BASIONYM = "basionym";
	public static final String SYNONYM = "synonym";
	public static final String HOMOTYPIC_SYNONYM = "homotypic_synonym";
	public static final String HETEROTYPIC_SYNONYM = "heterotypic_synonym";
	public static final String NAMERELATION = "namerelation";
	public static final String TAXON = "taxon";
	public static final String HOMOTYPIC_GROUP = "homotypicgroup";
	public static final String QUICK_NAME_TAXON = "quick_name_taxon";
	public static final String PROPERTY_SHEET_CHANGE = "property_sheet_change";
	public static final String REFRESH_NAMEVIEWER = "refresh_name_viewer";

	/* ***************************************************************************************
		FONTS
	************************************************************************************** */	
	public static final String MENU_ITEM_ITALICS_FONT = "menu_item_italics_font";
	public static final String ACCEPTED_TAXON_FONT = "accepted_taxon_font";
	public static final String SYNONYM_FONT = "synonym_font";
	public static final String MISAPPLIEDNAME_FONT = "misappliedname_font";
	public static final String DATASOURCE_FONT = "datasource_font";
	public static final String CHOOSE_NAME_TEXT_FONT = "choose_name_text_font";
	public static final String DEFAULT_PROMPT_FONT = "default_prompt_font";

	/* ***************************************************************************************
		COLORS
	 ************************************************************************************** */
	public static final String GROUP_GRAY_BKG_COLOR = "group_gray_background_color";
	public static final String PROP_SHEET_RED = "property_sheet_red";
	
	/* ***************************************************************************************
		PREFERENCES
	 ************************************************************************************** */
	public static final String FEATURE_PREFERENCE = "feature_preference";
	public static final String RANK_PREFERENCE = "rank_preference";
	
}
